1. Este site usa cookies. Ao continuar a usar este site está a concordar com o nosso uso de cookies. Saber Mais.

Desinstalei o Wine e agora o apt não funciona.

Discussão em 'Dúvidas e Suporte Técnico - GNU/Linux & *nix' iniciada por RuiSousa881, 29 de Maio de 2012. (Respostas: 8; Visualizações: 857)

  1. RuiSousa881

    RuiSousa881 Suspenso

    Boas pessoal. Tenho o ubuntu 12 desktop. Fiz apt-get remove wine 1.4, pois queria fazer downgrade para a versão 1.3. No entanto após remover o wine o apt-get/upgrade/install etc todo o comando apt deixou de funcionar. Agora diz command not found

    Como posso resolver esta situação?


    Cumps
     
  2. tangram

    tangram Power Member

    Tens de dar mais detalhes.
    Coloca aqui um copy&paste da mensagem de erro e, idealmente, dos comandos que correste para remover o Wine.
     
  3. RuiSousa881

    RuiSousa881 Suspenso

    Tão basicamente para remover o wine usei: sudo apt-get remove wine 1.4

    No entanto parece que ele desinstalou coisas a mais... E o apt-get foi junto. Pois agora ao usar o apt-get diz: sudo: apt-get: command not found
     
  4. tangram

    tangram Power Member

    Qual o resultado de
    Melhor ainda, posta o que tens em /var/log/apt/history.logar/log/apt/history.log
     
    Última edição: 29 de Maio de 2012
  5. RuiSousa881

    RuiSousa881 Suspenso

    O primeiro comando deu simplesmente isto: apt-get:

    No segundo fiz nano /var/apt/history.log e deu-me isto:

     
  6. RuiSousa881

    RuiSousa881 Suspenso

    Estou a tentar instalar novamente o wine, mas dá-me estes erros:


    O que poderá ser?
     
  7. Nabais

    Nabais Power Member

    Não será que o gajo te lixou a path apenas? O que dá o comando
    ?
     
  8. tangram

    tangram Power Member

    Só se for... se aquele é o log, o apt-get não fez nada de especial.

    Mas também não percebi, como não tendo o apt-get, tem aquela mensagem do post #6.
     
  9. RuiSousa881

    RuiSousa881 Suspenso

    Reinstalei o Ubuntu. Obrigado na mesma a todos. Já nem me arrisco a remover o wine... Fica o 1.4 e pronto!
     

Partilhar esta Página